//zad2
#include <bits/stdc++.h>
using namespace std;

const int maxn = 10000 + 3;
int n, res = 0;
bool el[maxn];

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    cin >> n;

    int a;
    for(int i=0;i<n;i++){
        cin >> a;
        el[i] = (a % 2 == 0);
    }

    for(int i=0;i<n;i++){
        for(int j=i;j<n;j++){
            if(el[j] == true){
                res = res + n - j;
                break;
            }
        }
    }

    cout << res;

    return 0;
}
